
From: "Randy.Dunlap" <rddunlap@osdl.org>

Various vendor kernels (at least) will be shipping kexec.  So let's reserve
the syscall slot to ensure that they all have the same ABI.

kexec is currently only available for x86, but there is interest in it for
ia64 and ppc64 at least.


---

 25-akpm/arch/i386/kernel/entry.S  |    1 +
 25-akpm/include/asm-i386/unistd.h |    3 ++-
 2 files changed, 3 insertions(+), 1 deletion(-)

diff -puN arch/i386/kernel/entry.S~kexec-reserve-syscall-slot arch/i386/kernel/entry.S
--- 25/arch/i386/kernel/entry.S~kexec-reserve-syscall-slot	Wed May 12 15:15:21 2004
+++ 25-akpm/arch/i386/kernel/entry.S	Wed May 12 15:15:21 2004
@@ -891,5 +891,6 @@ ENTRY(sys_call_table)
 	.long sys_mq_timedreceive	/* 280 */
 	.long sys_mq_notify
 	.long sys_mq_getsetattr
+	.long sys_ni_syscall		/* reserved for kexec */
 
 syscall_table_size=(.-sys_call_table)
diff -puN include/asm-i386/unistd.h~kexec-reserve-syscall-slot include/asm-i386/unistd.h
--- 25/include/asm-i386/unistd.h~kexec-reserve-syscall-slot	Wed May 12 15:15:21 2004
+++ 25-akpm/include/asm-i386/unistd.h	Wed May 12 15:15:21 2004
@@ -288,8 +288,9 @@
 #define __NR_mq_timedreceive	(__NR_mq_open+3)
 #define __NR_mq_notify		(__NR_mq_open+4)
 #define __NR_mq_getsetattr	(__NR_mq_open+5)
+#define __NR_sys_kexec_load	283
 
-#define NR_syscalls 283
+#define NR_syscalls 284
 
 /* user-visible error numbers are in the range -1 - -124: see <asm-i386/errno.h> */
 

_
